PHP Manual
Prev |  | Next

# is_object

(PHP 3, PHP 4, PHP 5)

is_object -- Finds whether a variable is an object

## Description

bool is_object ( mixed var )

Finds whether the given variable is an object.

## Parameters

var

  The variable being evaluated.

## Return Values

Returns `TRUE` if var is an object, `FALSE` otherwise.

## Notes

> Note: This function will return `FALSE` if used on an unserialized object where the class definition is not present (even though gettype() returns object).

## See Also

is_bool()
is_int()
is_float()
is_string()
is_array()

Prev | Home | Next
is_numeric | Up | is_real